Summary:        Easy to use front-end for ClamAV
Name:           clamtk
Version:        4.10
Release:        1%{dist}
License:        GPL+ or Artistic
Group:          Applications/System
URL:            http://clamtk.sourceforge.net/
Source:         http://downloads.sourceforge.net/clamtk/%{name}-%{version}.tar.gz
BuildRequires:  desktop-file-utils
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       clamav >= 0.90 clamav-data
BuildArch:      noarch
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
ClamTk is a GUI front-end for ClamAV using Gtk2-perl.
It is designed to be an easy-to-use, point and click
virus scanner for Linux systems.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

install -D -m0755 clamtk $RPM_BUILD_ROOT%{_bindir}/clamtk
install -D -m0644 clamtk.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/clamtk.png
install -D -m0644 clamtk.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/clamtk.1.gz
install -D -m0644 clamtk.desktop $RPM_BUILD_ROOT%{_datadir}/applications/clamtk.desktop

install -d "$RPM_BUILD_ROOT%{perl_vendorlib}/ClamTk"
install -m0644 lib/*.pm "$RPM_BUILD_ROOT%{perl_vendorlib}/ClamTk/"


for n in po/*.mo ; do
        install -D -m0644 $n $RPM_BUILD_ROOT%{_datadir}/locale/`basename $n .mo`/LC_MESSAGES/clamtk.mo
done

desktop-file-install \
        --add-category="GTK" \
        --add-category="Security" \
        --remove-category="Utility" \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root, -)
%doc CHANGES DISCLAIMER LICENSE README
%{_bindir}/%{name}
%{perl_vendorlib}/ClamTk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/clamtk.png
%{_mandir}/man1/%{name}.1.*

%changelog
* Sat Mar 07 2009 Jerome Soyer <saispo@gmail.com> - 4.10-1
- New upstream release

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.09-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 15 2009 Jerome Soyer <saispo@gmail.com> - 4.09-1
- New upstream release

* Wed Jan 07 2009 Jerome Soyer <saispo@gmail.com> - 4.08-4
- Remove script from prep section

* Wed Jan 07 2009 Jerome Soyer <saispo@gmail.com> - 4.08-3
- Add Perl Provides and Requires in prep section
- Add Requires on Perl

* Tue Jan 06 2009 Jerome Soyer <saispo@gmail.com> - 4.08-2
- Change Licence tag
- Remove unneeded Requires and BuildRequires
- Remove scriptlets "update-mime-database"
- Move *.pm into regular Perl modules

* Fri Jan 02 2009 Jerome Soyer <saispo@gmail.com> - 4.08-1
- New upstream release

* Wed Dec 10 2008 Jerome Soyer <saispo@gmail.com> - 4.06-2
- Fix RPM Group
- Bump Release

* Thu Dec 09 2008 Jerome Soyer <saispo@gmail.com> - 4.06-1
- First Fedora Package
